Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 773967 - dev-db/sqlite: error: include location '/usr/include' is unsafe for cross-compilation [-Werror,-Wpoison-system-directories]
Summary: dev-db/sqlite: error: include location '/usr/include' is unsafe for cross-com...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Arfrever Frehtes Taifersar Arahesis
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-02 11:15 UTC by aaltinay101
Modified: 2021-03-29 17:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-lakitu-info (emerge-info (1),6.17 KB, text/plain)
2021-03-02 11:16 UTC, aaltinay101
Details
build logs (dev-db_sqlite-3.33.0_20210302-103834.log,37.11 KB, application/octet-stream)
2021-03-02 11:16 UTC, aaltinay101
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aaltinay101 2021-03-02 11:15:20 UTC
Wrong include location was getting used during cross-compilation in my system for sqlite package. This is how I managed to build it successfully:

diff --git a/dev-db/sqlite/sqlite-3.33.0.ebuild b/dev-db/sqlite/sqlite-3.33.0.ebuild
index fba288a9..748eea13 100644
--- a/dev-db/sqlite/sqlite-3.33.0.ebuild
+++ b/dev-db/sqlite/sqlite-3.33.0.ebuild
@@ -274,7 +274,9 @@ multilib_src_configure() {
        options+=($(use_enable static-libs static))
 
        # tcl, test, tools USE flags.
-       options+=(--enable-tcl)
+       if ! use tcl && ! use test && ! use tools ; then
+               options+=(--disable-tcl)
+       fi

Please let me know if you think this is a bug in the ebuild file. I can also send a pull request for this change.

Reproducible: Always

Steps to Reproduce:
1.emerge-lakitu sqlite
2.
3.
Comment 1 aaltinay101 2021-03-02 11:16:07 UTC
Created attachment 689058 [details]
emerge-lakitu-info
Comment 2 aaltinay101 2021-03-02 11:16:45 UTC
Created attachment 689061 [details]
build logs
Comment 3 Arfrever Frehtes Taifersar Arahesis 2021-03-05 07:45:55 UTC
Which version of dev-lang/tcl?
Comment 4 aaltinay101 2021-03-05 21:30:53 UTC
tcl-8.6.6
Comment 5 Arfrever Frehtes Taifersar Arahesis 2021-03-06 16:50:41 UTC
dev-lang/tcl-8.6.9-r1 includes fix for cross-compilation.

*** This bug has been marked as a duplicate of bug 731120 ***
Comment 6 aaltinay101 2021-03-12 21:22:42 UTC
I upgraded to dev-lang/tcl-8.6.9-r1 but got the exact same error.
Comment 7 Arfrever Frehtes Taifersar Arahesis 2021-03-29 17:29:32 UTC
We can use --disable-tcl with USE="-tcl -test -tools" although --enable-tcl is rather harmless (it only results in using ${TCL_INCLUDE_SPEC} which is empty in >=dev-lang/tcl-8.6.9-r1 and -I/usr/include in <dev-lang/tcl-8.6.9-r1).
Comment 8 Larry the Git Cow gentoo-dev 2021-03-29 17:42:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2b164ba52c04ff6fb7b8879d35f0f08ee01aed9

commit b2b164ba52c04ff6fb7b8879d35f0f08ee01aed9
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2021-03-29 01:00:00 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2021-03-29 17:42:35 +0000

    dev-db/sqlite: Fix Tcl dependency and detection.
    
    Fixes: f797e0fd4092a1d9e83c23005806a2db3d7bd0c2
    Bug: https://bugs.gentoo.org/724578
    Closes: https://bugs.gentoo.org/773967
    Closes: https://github.com/gentoo/gentoo/pull/19972
    Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 dev-db/sqlite/sqlite-3.33.0.ebuild | 11 +++++++++--
 dev-db/sqlite/sqlite-3.34.0.ebuild | 11 +++++++++--
 dev-db/sqlite/sqlite-3.34.1.ebuild | 11 +++++++++--
 dev-db/sqlite/sqlite-3.35.0.ebuild | 11 +++++++++--
 dev-db/sqlite/sqlite-3.35.1.ebuild | 11 +++++++++--
 dev-db/sqlite/sqlite-3.35.2.ebuild | 11 +++++++++--
 dev-db/sqlite/sqlite-3.35.3.ebuild | 11 +++++++++--
 7 files changed, 63 insertions(+), 14 deletions(-)